clang-tools 10.0.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
clang::clangd::BackgroundIndexStorage Class Referenceabstract

`#include <Background.h>`

Inheritance diagram for clang::clangd::BackgroundIndexStorage:
[legend]

## Public Types
using | Factory = llvm::unique_function< BackgroundIndexStorage *(PathRef)>

## Public Member Functions
virtual | ~BackgroundIndexStorage ()=default
virtual llvm::Error | storeShard (llvm::StringRef ShardIdentifier, IndexFileOut Shard) const =0
virtual std::unique_ptr< IndexFileIn > | loadShard (llvm::StringRef ShardIdentifier) const =0

## Static Public Member Functions
static Factory | createDiskBackedStorageFactory (std::function< llvm::Optional< ProjectInfo >(PathRef)> GetProjectInfo)

## Detailed Description

Definition at line 39 of file Background.h.

## Member Typedef Documentation

## ◆ Factory

using clang::clangd::BackgroundIndexStorage::Factory = llvm::unique_function<BackgroundIndexStorage *(PathRef)>

Definition at line 56 of file Background.h.

## Constructor & Destructor Documentation

## ◆ ~BackgroundIndexStorage()

virtual clang::clangd::BackgroundIndexStorage::~BackgroundIndexStorage | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ createDiskBackedStorageFactory()

BackgroundIndexStorage::Factory clang::clangd::BackgroundIndexStorage::createDiskBackedStorageFactory | ( | std::function< llvm::Optional< ProjectInfo >(PathRef)> | GetProjectInfo | ) |
| static

Definition at line 146 of file BackgroundIndexStorage.cpp.

## ◆ loadShard()

virtual std::unique_ptr<IndexFileIn> clang::clangd::BackgroundIndexStorage::loadShard | ( | llvm::StringRef | ShardIdentifier | ) | const
| pure virtual

Implemented in clang::clangd::MemoryShardStorage.

## ◆ storeShard()

virtual llvm::Error clang::clangd::BackgroundIndexStorage::storeShard | ( | llvm::StringRef | ShardIdentifier,
|  | IndexFileOut | Shard
| ) |  | const
| pure virtual

Implemented in clang::clangd::MemoryShardStorage.

The documentation for this class was generated from the following files:

- Background.h
- BackgroundIndexStorage.cpp